#ifndef TOPWIN8DESKTOPITEM_H
#define TOPWIN8DESKTOPITEM_H

#include "topdesktopitemabs.h"
#include <QVariantMap>

class TopWin8DesktopItemPrivate;
class TopWin8DesktopItem : public TopDesktopItemAbs
{
    Q_OBJECT
public:
    explicit TopWin8DesktopItem(QWidget *parent = 0);
    ~TopWin8DesktopItem();

public slots:
    void doLayout();
    bool showConfigDialog();
    QString ttr(const QString &iStr);

protected:
    const QScopedPointer<TopWin8DesktopItemPrivate> d_ptr;

private:
    Q_DISABLE_COPY(TopWin8DesktopItem)
    Q_DECLARE_PRIVATE(TopWin8DesktopItem)

};
#endif // TOPWIN8DESKTOPITEM_H

