﻿#ifndef SYSROLETHREAD_H
#define SYSROLETHREAD_H

#include <topcore/topclassthreadabs.h>

class SysRoleThread : public TopClassThreadAbs
{
    Q_OBJECT
public:
    explicit SysRoleThread(QObject *iParent = nullptr);
    ~SysRoleThread();

protected:
    void run() override;

private:
    void loadData(int iIdInt, const QStringList &iProductCategoryStrLst);
    void saveData(const QVariantMap &iDataMap);
    void loadRgt(const QStringList &iProductCategoryStrLst);
};

#endif // SYSROLETHREAD_H
