﻿#ifndef SYSCONFMGTTHREAD_H
#define SYSCONFMGTTHREAD_H

#include <topcore/topclassthreadabs.h>

class ModuleConfMgtThread : public TopClassThreadAbs
{
    Q_OBJECT
public:
    explicit ModuleConfMgtThread(QObject *iParent = nullptr);
    ~ModuleConfMgtThread();

protected:
    void run() override;

private:
    void loadTreeData(const QString &iTextStr);
    void loadPanelData(const QVariantMap &iDataMap);
    void loadModuleData(const QVariantMap &iDataMap);
    void loadPermissionAndEnumData(const QVariantMap &iDataMap);

    bool getVersion();
    QVariantList matechPermission(const QVariantList &iPermissionData, const QString &iModuleName);

private:
    QString mVersion;
};

#endif // SYSCONFMGTTHREAD_H
