﻿#ifndef SYSADMINPLUGIN_H
#define SYSADMINPLUGIN_H

#include <QtPlugin>
#include <QVariantMap>
#include <topcore/topclasspluginabs.h>

class TopSysPlugin : public QObject, TopClassPluginAbs
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID "net.toplinker.TopClassAbsPlugin")
    Q_INTERFACES(TopClassPluginAbs)

public:
    QStringList getClassList() override;
    TopClassAbs *newClass(const QString &iClassName,
                          const QString &iModuleName,
                          const QVariantMap &iUrlPars = QVariantMap()) override;
};

#endif // SYSADMINPLUGIN_H
